javax.jdo.query

## Interface NumericExpression<T>

- Type Parameters:
    `T` - Number type
  All Superinterfaces:
    ComparableExpression<T>, Expression<T>

      public interface NumericExpression<T>
      extends ComparableExpression<T>

  Representation of a numeric expression.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NumericExpression<T>` | `abs()` Method to return the absolute value expression of this expression.
    `NumericExpression<Double>` | `acos()` Method to return the arc cosine value expression of this expression.
    `NumericExpression<T>` | `add(Expression<T> expr)` Method to return an expression for this expression added to the passed expression.
    `NumericExpression<T>` | `add(Number num)` Method to return an expression for this expression added to the passed number.
    `NumericExpression<Double>` | `asin()` Method to return the arc sine value expression of this expression.
    `NumericExpression<Double>` | `atan()` Method to return the arc tangent value expression of this expression.
    `NumericExpression<Double>` | `avg()` Method to return a numeric expression representing the aggregated average of this expression.
    `NumericExpression<Double>` | `avgDistinct()` Method to return a numeric expression representing the aggregated (distinct) average of this expression.
    `NumericExpression<T>` | `bAnd(NumericExpression<T> bitExpr)` Method to return a bitwise AND expression for this expression with the supplied bit path.
    `NumericExpression<T>` | `bOr(NumericExpression<T> bitExpr)` Method to return a bitwise OR expression for this expression with the supplied bit path.
    `NumericExpression<T>` | `bXor(NumericExpression<T> bitExpr)` Method to return a bitwise XOR expression for this expression with the supplied bit path.
    `NumericExpression<T>` | `ceil()` Method to return the ceiling value expression of this expression.
    `NumericExpression<T>` | `com()` Method to return an expression that is the complement of the current expression.
    `NumericExpression<Double>` | `cos()` Method to return the cosine value expression of this expression.
    `NumericExpression<T>` | `div(Expression<T> expr)` Method to return an expression for this expression divided by the passed expression.
    `NumericExpression<T>` | `div(Number num)` Method to return an expression for this expression divided by the passed number.
    `NumericExpression<Double>` | `exp()` Method to return the exponential value expression of this expression.
    `NumericExpression<T>` | `floor()` Method to return the floor value expression of this expression.
    `NumericExpression<Double>` | `log()` Method to return the logarithm value expression of this expression.
    `NumericExpression<T>` | `mod(Expression<T> expr)` Method to return an expression for this expression modulus the passed expression (
    `NumericExpression<T>` | `mod(Number num)` Method to return an expression for this expression modulus the passed number.
    `NumericExpression<T>` | `mul(Expression<T> expr)` Method to return an expression for this expression multiplied by the passed expression.
    `NumericExpression<T>` | `mul(Number num)` Method to return an expression for this expression multiplied by the passed number.
    `NumericExpression<T>` | `neg()` Method to return an expression that is the current expression negated.
    `NumericExpression<Double>` | `sin()` Method to return the sine value expression of this expression.
    `NumericExpression<Double>` | `sqrt()` Method to return the square-root value expression of this expression.
    `NumericExpression<T>` | `sub(Expression<T> expr)` Method to return an expression for this expression subtracting the passed expression.
    `NumericExpression<T>` | `sub(Number num)` Method to return an expression for this expression subtracting the passed number.
    `NumericExpression<T>` | `sum()` Method to return a numeric expression representing the aggregated sum of this expression.
    `NumericExpression<T>` | `sumDistinct()` Method to return a numeric expression representing the aggregated (distinct) sum of this expression.
    `NumericExpression<Double>` | `tan()` Method to return the tangent value expression of this expression.

    - ### Methods inherited from interface javax.jdo.query.ComparableExpression

      `asc, desc, gt, gt, gteq, gteq, lt, lt, lteq, lteq, max, min`

    - ### Methods inherited from interface javax.jdo.query.Expression

      `as, cast, count, countDistinct, eq, eq, instanceOf, ne, ne`

- - ### Method Detail

    - #### add

          NumericExpression<T> add(Expression<T> expr)

      Method to return an expression for this expression added to the passed expression.
      Parameters:
        `expr` - The other expression
      Returns:
        The summation

    - #### add

          NumericExpression<T> add(Number num)

      Method to return an expression for this expression added to the passed number.
      Parameters:
        `num` - Number to add
      Returns:
        The summation

    - #### sub

          NumericExpression<T> sub(Expression<T> expr)

      Method to return an expression for this expression subtracting the passed expression.
      Parameters:
        `expr` - The other expression
      Returns:
        The difference

    - #### sub

          NumericExpression<T> sub(Number num)

      Method to return an expression for this expression subtracting the passed number.
      Parameters:
        `num` - Number to subtract
      Returns:
        The difference

    - #### mul

          NumericExpression<T> mul(Expression<T> expr)

      Method to return an expression for this expression multiplied by the passed expression.
      Parameters:
        `expr` - The other expression
      Returns:
        The multiplication

    - #### mul

          NumericExpression<T> mul(Number num)

      Method to return an expression for this expression multiplied by the passed number.
      Parameters:
        `num` - Number
      Returns:
        The multiplication

    - #### div

          NumericExpression<T> div(Expression<T> expr)

      Method to return an expression for this expression divided by the passed expression.
      Parameters:
        `expr` - The other expression
      Returns:
        The division

    - #### div

          NumericExpression<T> div(Number num)

      Method to return an expression for this expression divided by the passed number.
      Parameters:
        `num` - Number to divide by
      Returns:
        The division

    - #### mod

          NumericExpression<T> mod(Expression<T> expr)

      Method to return an expression for this expression modulus the passed expression (

          a % b

      ).
      Parameters:
        `expr` - The other expression
      Returns:
        The modulus

    - #### mod

          NumericExpression<T> mod(Number num)

      Method to return an expression for this expression modulus the passed number.
      Parameters:
        `num` - Number
      Returns:
        The modulus

    - #### neg

          NumericExpression<T> neg()

      Method to return an expression that is the current expression negated.
      Returns:
        The negated expression

    - #### com

          NumericExpression<T> com()

      Method to return an expression that is the complement of the current expression.
      Returns:
        The complement expression

    - #### avg

          NumericExpression<Double> avg()

      Method to return a numeric expression representing the aggregated average of this expression.
      Returns:
        Numeric expression for the average

    - #### avgDistinct

          NumericExpression<Double> avgDistinct()

      Method to return a numeric expression representing the aggregated (distinct) average of this expression.
      Returns:
        Numeric expression for the average

    - #### sum

          NumericExpression<T> sum()

      Method to return a numeric expression representing the aggregated sum of this expression.
      Returns:
        Numeric expression for the sum

    - #### sumDistinct

          NumericExpression<T> sumDistinct()

      Method to return a numeric expression representing the aggregated (distinct) sum of this expression.
      Returns:
        Numeric expression for the sum

    - #### abs

          NumericExpression<T> abs()

      Method to return the absolute value expression of this expression.
      Returns:
        The absolute value expression

    - #### sqrt

          NumericExpression<Double> sqrt()

      Method to return the square-root value expression of this expression.
      Returns:
        The square-root value expression

    - #### acos

          NumericExpression<Double> acos()

      Method to return the arc cosine value expression of this expression.
      Returns:
        The arc cosine value expression

    - #### asin

          NumericExpression<Double> asin()

      Method to return the arc sine value expression of this expression.
      Returns:
        The arc sine value expression

    - #### atan

          NumericExpression<Double> atan()

      Method to return the arc tangent value expression of this expression.
      Returns:
        The arc tangent value expression

    - #### sin

          NumericExpression<Double> sin()

      Method to return the sine value expression of this expression.
      Returns:
        The sine value expression

    - #### cos

          NumericExpression<Double> cos()

      Method to return the cosine value expression of this expression.
      Returns:
        The cosine value expression

    - #### tan

          NumericExpression<Double> tan()

      Method to return the tangent value expression of this expression.
      Returns:
        The tangent value expression

    - #### exp

          NumericExpression<Double> exp()

      Method to return the exponential value expression of this expression.
      Returns:
        The exponential value expression

    - #### log

          NumericExpression<Double> log()

      Method to return the logarithm value expression of this expression.
      Returns:
        The logarithm value expression

    - #### ceil

          NumericExpression<T> ceil()

      Method to return the ceiling value expression of this expression.
      Returns:
        The ceiling value expression

    - #### floor

          NumericExpression<T> floor()

      Method to return the floor value expression of this expression.
      Returns:
        The floor value expression

    - #### bAnd

          NumericExpression<T> bAnd(NumericExpression<T> bitExpr)

      Method to return a bitwise AND expression for this expression with the supplied bit path.
      Parameters:
        `bitExpr` - Bit expression
      Returns:
        Bitwise AND expression

    - #### bOr

          NumericExpression<T> bOr(NumericExpression<T> bitExpr)

      Method to return a bitwise OR expression for this expression with the supplied bit path.
      Parameters:
        `bitExpr` - Bit expression
      Returns:
        Bitwise OR expression

    - #### bXor

          NumericExpression<T> bXor(NumericExpression<T> bitExpr)

      Method to return a bitwise XOR expression for this expression with the supplied bit path.
      Parameters:
        `bitExpr` - Bit expression
      Returns:
        Bitwise XOR expression

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.